org.deidentifier.arx

## Class AttributeType

- java.lang.Object
- - org.deidentifier.arx.AttributeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  AttributeType.Hierarchy, AttributeType.MicroAggregationFunction

    public class AttributeType
    extends java.lang.Object
    implements java.io.Serializable, java.lang.Cloneable

Represents an attribute type.

Author:
  Fabian Prasser, Florian Kohlmayer
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `AttributeType.Hierarchy` This class implements a generalization hierarchy.
`static class` `AttributeType.MicroAggregationFunction` This class is used to define aggregate functions for microaggregation.
`static class` `AttributeType.MicroAggregationFunctionDescription` This class describes a microaggregation function

### Field Summary

Fields
`static AttributeType` `IDENTIFYING_ATTRIBUTE` Represents an identifying attribute.
`static AttributeType` `INSENSITIVE_ATTRIBUTE` Represents an insensitive attribute.
`static AttributeType` `QUASI_IDENTIFYING_ATTRIBUTE` Represents a quasi-identifying attribute.
`static AttributeType` `SENSITIVE_ATTRIBUTE` Represents a sensitive attribute.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`AttributeType` `clone()`
`static java.util.List<AttributeType.MicroAggregationFunctionDescription>` `listMicroAggregationFunctions()` Lists all available microaggregation functions
`java.lang.String` `toString()` Returns a string representation.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### IDENTIFYING_ATTRIBUTE

    public static AttributeType IDENTIFYING_ATTRIBUTE

Represents an identifying attribute.

#### SENSITIVE_ATTRIBUTE

    public static AttributeType SENSITIVE_ATTRIBUTE

Represents a sensitive attribute.

#### INSENSITIVE_ATTRIBUTE

    public static AttributeType INSENSITIVE_ATTRIBUTE

Represents an insensitive attribute.

#### QUASI_IDENTIFYING_ATTRIBUTE

    public static AttributeType QUASI_IDENTIFYING_ATTRIBUTE

Represents a quasi-identifying attribute.

### Method Detail

#### listMicroAggregationFunctions

    public static java.util.List<AttributeType.MicroAggregationFunctionDescription> listMicroAggregationFunctions()

Lists all available microaggregation functions

Returns:

#### clone

    public AttributeType clone()

Overrides:
  `clone` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Returns a string representation.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  the string